petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscSFWindowGetSyncType

get synchrozitaion type for PetscSF communication

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFWindowGetSyncType(PetscSF sf,PetscSFWindowSyncType *sync)

Logically Collective

### Input Argument

sf -star forest for communication

### Output Argument

sync -synchronization type

### See Also

PetscSFGetFromOptions(), PetscSFWindowSetSyncType()

Level:advanced
Location:src/vec/is/sf/impls/window/sfwindow.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages